#ifndef UX_SEQUENCE_H
#define UX_SEQUENCE_H

#include "catalog/genbki.h"

#define SequenceRelationId	2224

CATALOG(ux_sequence,2224) BKI_WITHOUT_OIDS
{
	Oid			seqrelid;
	Oid			seqtypid;
	int64		seqstart;
	int64		seqincrement;
	int64		seqmax;
	int64		seqmin;
	int64		seqcache;
	bool		seqcycle;
} FormData_ux_sequence;

typedef FormData_ux_sequence *Form_ux_sequence;

#define Natts_ux_sequence				8
#define Anum_ux_sequence_seqrelid		1
#define Anum_ux_sequence_seqtypid		2
#define Anum_ux_sequence_seqstart		3
#define Anum_ux_sequence_seqincrement	4
#define Anum_ux_sequence_seqmax			5
#define Anum_ux_sequence_seqmin			6
#define Anum_ux_sequence_seqcache		7
#define Anum_ux_sequence_seqcycle		8

#endif							/* UX_SEQUENCE_H */
