/*-------------------------------------------------------------------------
 *
 * uxsqlmq.h
 *	  Use the frontend/backend protocol for communication over a shm_mq
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/libuxsql/uxsqlmq.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UXSQLMQ_H
#define UXSQLMQ_H

#include "lib/stringinfo.h"
#include "storage/shm_mq.h"

extern void uxsql_redirect_to_shm_mq(dsm_segment *seg, shm_mq_handle *mqh);
extern void uxsql_set_parallel_master(pid_t pid, BackendId backend_id);

extern void uxsql_parse_errornotice(StringInfo str, ErrorData *edata);

#endif							/* UXSQLMQ_H */
