/**************************************************************
* @file CheckMainboardSerialNumber.h
* Date: 2017/12/13
* Author: shiqing
* History: 001)[Modify reason 1]
* Editor: 001) Editor YYYY/MM/DD
* All Right Reserved, Copyright(c) Beijing Uxsino Limited 2017.
 * **************************************************************/
#ifndef CHECK_MAINBOARD_SERIAL_NUMBER_
#define CHECK_MAINBOARD_SERIAL_NUMBER_

#include"Cjson.h"
#include<stdio.h>
#include<stdlib.h>
#include<string.h>

#define FUNC_OK (0)
#define FUNC_ERR (-1)
#define STRING_EQUAL 0
#define MAX_MAINBOARD_SERIAL_NUMBER 64

#define MAINBOARD_SERIAL_NUMBER_STRING "MainboardSerialNo"

#ifndef WIN32
#define MAX_UUID_LENGTH 64
#define GET_MAINBOARD_SERIAL_NUM_CMD "dmidecode -s system-serial-number"
#define GET_MAINBOARD_UUID "dmidecode -s system-uuid"
#define GET_PCI_UUID_CMD "dmidecode | grep UUID"
#else
#define MAX_UUID_LENGTH (36+1)//uuid length is 36 bits
#define GET_MAINBOARD_SERIAL_NUM_CMD "wmic baseboard get serialnumber"
#define GET_PCI_UUID_CMD "wmic csproduct list full|find \"UUID\""
#endif

int get_serial_number(char *mainboard_serial_num, int length);
int check_license_mainboard_serial_number(char *mainboard_serialno, cJSON*clearTextObject);
extern int check_mainboard_serial_number(cJSON* clearTextObject);

#endif
