#include"Cjson.h"
#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include "GeneratePublicAndPrivateKey.h"

#ifndef WIN32
#define UXDB_LICENSE_FILE_PATH "license/uxdb.lic"
#else
#define DEFAULT_UXDB_PATH "D:\\UXDB"
#define UXDB_LICENSE_FILE_PATH "license\\uxdb.lic"
#endif

#define STRING_MAX_LEN (8192)

#define MAX_LICENSE_FILE_PATH_LENGTH 256
#define MAX_JSON_SYSTIME_LENGTH (64)
#define MAX_NUM 63001
#define RAND_NUM 16
#define maxn 0x8000    /* Support for plain text length */
#define MAX_CIPHER_TEXT_LENGTH 32638
#define MAX_UUID_LENGTH 16

#define ENCODE 0,16,1    /* Macro for encryption */
#define DECODE 15,-1,-1    /* Macro for decryption */

enum service_ret_code
{
	OK = 0,
	ERR = 1,
	BUSY = 2,
	CONFIICT = 3,
	DFSNOTSTART = 4,
	OTHER_ERR = 5,
	ALREADY_EXISTS = 9,
};

#define FAIL (-1)

int regenerate_license_file(PAIRKEY *pair_key, cJSON *clearTextObject);
