/* src/interfaces/ecux/include/uxtypes_date.h */

#ifndef UXTYPES_DATETIME
#define UXTYPES_DATETIME

#include <uxtypes_timestamp.h>

typedef long date;

#ifdef __cplusplus
extern "C"
{
#endif

extern date * UXTYPESdate_new(void);
extern void UXTYPESdate_free(date *);
extern date UXTYPESdate_from_asc(char *, char **);
extern char *UXTYPESdate_to_asc(date);
extern date UXTYPESdate_from_timestamp(timestamp);
extern void UXTYPESdate_julmdy(date, int *);
extern void UXTYPESdate_mdyjul(int *, date *);
extern int	UXTYPESdate_dayofweek(date);
extern void UXTYPESdate_today(date *);
extern int	UXTYPESdate_defmt_asc(date *, const char *, char *);
extern int	UXTYPESdate_fmt_asc(date, const char *, char *);

#ifdef __cplusplus
}
#endif

#endif							/* UXTYPES_DATETIME */
