/* contrib/ux_visibility/ux_visibility--1.0--1.1.sql */

-- complain if script is sourced in uxsql, rather than via ALTER EXTENSION
\echo Use "ALTER EXTENSION ux_visibility UPDATE TO '1.1'" to load this file. \quit

CREATE FUNCTION ux_check_frozen(regclass, t_ctid OUT tid)
RETURNS SETOF tid
AS 'MODULE_PATHNAME', 'ux_check_frozen'
LANGUAGE C STRICT;

CREATE FUNCTION ux_check_visible(regclass, t_ctid OUT tid)
RETURNS SETOF tid
AS 'MODULE_PATHNAME', 'ux_check_visible'
LANGUAGE C STRICT;

CREATE FUNCTION ux_truncate_visibility_map(regclass)
RETURNS void
AS 'MODULE_PATHNAME', 'ux_truncate_visibility_map'
LANGUAGE C STRICT
PARALLEL UNSAFE;  -- let's not make this any more dangerous

REVOKE ALL ON FUNCTION ux_check_frozen(regclass) FROM PUBLIC;
REVOKE ALL ON FUNCTION ux_check_visible(regclass) FROM PUBLIC;
REVOKE ALL ON FUNCTION ux_truncate_visibility_map(regclass) FROM PUBLIC;
