/* contrib/uxrowlocks/uxrowlocks--1.2.sql */

-- complain if script is sourced in uxsql, rather than via CREATE EXTENSION
\echo Use "CREATE EXTENSION uxrowlocks" to load this file. \quit

CREATE FUNCTION uxrowlocks(IN relname text,
    OUT locked_row TID,		-- row TID
    OUT locker XID,		-- locking XID
    OUT multi bool,		-- multi XID?
    OUT xids xid[],		-- multi XIDs
    OUT modes text[],		-- multi XID statuses
    OUT pids INTEGER[])		-- locker's process id
RETURNS SETOF record
AS 'MODULE_PATHNAME', 'uxrowlocks'
LANGUAGE C STRICT PARALLEL SAFE;
