/*-------------------------------------------------------------------------
 *
 * binary_upgrade.h
 *	  variables used for binary upgrades
 *
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/catalog/binary_upgrade.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef BINARY_UPGRADE_H
#define BINARY_UPGRADE_H

extern UXDLLIMPORT Oid binary_upgrade_next_ux_type_oid;
extern UXDLLIMPORT Oid binary_upgrade_next_array_ux_type_oid;
extern UXDLLIMPORT Oid binary_upgrade_next_toast_ux_type_oid;

extern UXDLLIMPORT Oid binary_upgrade_next_heap_ux_class_oid;
extern UXDLLIMPORT Oid binary_upgrade_next_index_ux_class_oid;
extern UXDLLIMPORT Oid binary_upgrade_next_toast_ux_class_oid;

extern UXDLLIMPORT Oid binary_upgrade_next_ux_enum_oid;
extern UXDLLIMPORT Oid binary_upgrade_next_ux_authid_oid;

extern UXDLLIMPORT bool binary_upgrade_record_init_privs;

#endif							/* BINARY_UPGRADE_H */
