/*-------------------------------------------------------------------------
 *
 * client.h
 *		Declarations for DFS client object operations
 *
 * Portions Copyright (c) 1996-2015, UxsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/common/client.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef CLIENT_H
#define CLIENT_H

extern DFS *newDFS(char *local_home);

/*
 *  process model only
 *
 *  under process environment, we only have one DFS client for each process
 *  but muti-threaded programs should not use there two
 */
extern void setDFS(DFS *client);
extern DFS *getDFS(void);

extern int  delDFS(DFS *client);
extern int  exitDFS(void);

#endif   /* CLIENT_H */
