/*-------------------------------------------------------------------------
 *
 * uxoutput.h
 *		Logical Replication output plugin
 *
 * Copyright (c) 2015-2017, UXsinoDB Global Development Group
 *
 * IDENTIFICATION
 *		uxoutput.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UXOUTPUT_H
#define UXOUTPUT_H

#include "nodes/ux_list.h"

typedef struct UXOutputData
{
	MemoryContext context;		/* private memory context for transient
								 * allocations */

	/* client info */
	uint32		protocol_version;

	List	   *publication_names;
	List	   *publications;
} UXOutputData;

#endif							/* UXOUTPUT_H */
