/*-------------------------------------------------------------------------
 *
 * ux_fs.h
 *	  UXSino file system wrapper for DFS or system file system.
 *
 *
 *
 * Portions Copyright (c) 1996-2015, UxsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/storage/ux_fs.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_FS_H
#define UX_FS_H


extern int ux_fseek(FILE *stream, long offset, int whence);
extern int ux_fread(FILE *stream, void *ptr, int size);
extern int ux_stat(const char *path, struct stat *buf);
extern int ux_lstat(const char *path, struct stat *buf);

#endif   /* UX_FS_H */
