/*-------------------------------------------------------------------------
 *
 * dynamic_loader.h
 *
 *
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/utils/dynamic_loader.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef DYNAMIC_LOADER_H
#define DYNAMIC_LOADER_H

#include "fmgr.h"


extern void *ux_dlopen(char *filename);
extern UXFunction ux_dlsym(void *handle, char *funcname);
extern void ux_dlclose(void *handle);
extern char *ux_dlerror(void);

#endif							/* DYNAMIC_LOADER_H */
