/*-------------------------------------------------------------------------
 *
 * licensecontrol.h
 *	  Exports from uxmaster/licensecontrol.c.
 *
 * Copyright (c) 2004-2015, UxsinoDB Global Development Group
 *
 * src/include/uxmaster/licensecontrol.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef _LICENSECONTROL_H
#define _LICENSECONTROL_H

#define MAX_PID_FILE_PATH_LENGTH 1024
#define MD5_SUM_LICENSE_FILE "md5sum"
#define MAX_LIC_MD5_CMD_LENGTH  256

enum result_status
{
	SUCCESS = 0,
	FAIL,
	VERSION_ERR,
	LICENSE_FILE_NOT_EXIST,
	OBJECT_NO_EXIST
};

#ifdef WIN32
#define MD5_MARK "MD5"
#define GET_FILE_MD5_CMD "CertUtil:"
extern LICENSE_INFO* shareLicBuf;
#endif

extern int LicenseControlStart();
static pid_t licensecontrol_forkexec(void);
int check_uxdblicense_configuration();
int get_available_plugins_and_check_version();

#endif/* _LICENSECONTROL_H */
