/* src/interfaces/ecux/include/uxtypes_timestamp.h */

#ifndef UXTYPES_TIMESTAMP
#define UXTYPES_TIMESTAMP

/* uxtypes_interval.h includes ecux_config.h */
#include <uxtypes_interval.h>

typedef int64 timestamp;
typedef int64 TimestampTz;

#ifdef __cplusplus
extern "C"
{
#endif

extern timestamp UXTYPEStimestamp_from_asc(char *, char **);
extern char *UXTYPEStimestamp_to_asc(timestamp);
extern int	UXTYPEStimestamp_sub(timestamp *, timestamp *, interval *);
extern int	UXTYPEStimestamp_fmt_asc(timestamp *, char *, int, const char *);
extern void UXTYPEStimestamp_current(timestamp *);
extern int	UXTYPEStimestamp_defmt_asc(char *, const char *, timestamp *);
extern int	UXTYPEStimestamp_add_interval(timestamp * tin, interval * span, timestamp * tout);
extern int	UXTYPEStimestamp_sub_interval(timestamp * tin, interval * span, timestamp * tout);

#ifdef __cplusplus
}
#endif

#endif							/* UXTYPES_TIMESTAMP */
